%global namedreltag .CR2
%global namedversion %{version}%{?namedreltag}

Name:          jboss-logging-logmanager
Version:       2.2.0
Release:       %mkrel 1
Summary:       JBoss Logging: JBoss Log Manager
Group:         Development/Java
License:       LGPLv2+
Url:           http://www.jboss.org/
# svn export http://anonsvn.jboss.org/repos/common/common-logging-logmanager/tags/2.2.0.CR2/ jboss-logging-logmanager-2.2.0.CR2
# tar czf jboss-logging-logmanager-2.2.0.CR2-src-svn.tar.gz jboss-logging-logmanager-2.2.0.CR2
Source0:       %{name}-%{namedversion}-src-svn.tar.gz
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: jboss-common-core
BuildRequires: jboss-logging-spi
BuildRequires: jboss-parent
BuildRequires: jboss-logmanager

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-release-plugin

Requires:      jboss-common-core
Requires:      jboss-logging-spi

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
JBoss Logging LogManager Implementation.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build

mvn-rpmbuild install javadoc:aggregate

%install
# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

#POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom

# DEPMAP
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jboss/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Fri Aug 12 2011 dmorgan <dmorgan> 2.2.0-1.mga2
+ Revision: 132749
- Fix buildrequires
- Clean spec file

  + gil <gil>
    - imported package jboss-logging-logmanager

